package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.util.List;

/**
 * Created by Wyh on 2020/2/26.
 * 销售分析——食品top10
 */
public class SalesFoodsBean {
    /**
     * success : true
     * sysTime : 1582703198491
     * data : [{"sumTotal":596990.68,"sumNum":11629,"foodName":"冲绳黑糖奶盖茶","averageTotal":51.34,"percentageTotal":"100%","percentageNum":"100%"}]
     */

    private boolean success;
    private long sysTime;
    private List<DataBean> data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * sumTotal : 596990.68
         * sumNum : 11629
         * foodName : 冲绳黑糖奶盖茶
         * averageTotal : 51.34
         * percentageTotal : 100%
         * percentageNum : 100%
         */

        private double sumTotal;
        private int sumNum;
        private String foodName;
        private double averageTotal;
        private String percentageTotal;
        private String percentageNum;

        public double getSumTotal() {
            return sumTotal;
        }

        public void setSumTotal(double sumTotal) {
            this.sumTotal = sumTotal;
        }

        public int getSumNum() {
            return sumNum;
        }

        public void setSumNum(int sumNum) {
            this.sumNum = sumNum;
        }

        public String getFoodName() {
            return foodName;
        }

        public void setFoodName(String foodName) {
            this.foodName = foodName;
        }

        public double getAverageTotal() {
            return averageTotal;
        }

        public void setAverageTotal(double averageTotal) {
            this.averageTotal = averageTotal;
        }

        public String getPercentageTotal() {
            return percentageTotal;
        }

        public void setPercentageTotal(String percentageTotal) {
            this.percentageTotal = percentageTotal;
        }

        public String getPercentageNum() {
            return percentageNum;
        }

        public void setPercentageNum(String percentageNum) {
            this.percentageNum = percentageNum;
        }
    }
}
